LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices


Reply
  Search this Thread
Old 05-25-2009, 12:01 AM   #1951
jeremybub
LQ Newbie
 
Registered: Apr 2009
Posts: 26

Rep: Reputation: 16

Just a shot: There are two MediaService files. Did you copy both of them?

I really have no idea what's going on (some error with suds) but I thought I might try to help.
 
Old 05-25-2009, 12:07 AM   #1952
daftcat
mlbviewer Maintainer
 
Registered: Apr 2008
Posts: 1,878

Rep: Reputation: 83
Quote:
Originally Posted by sruchris View Post
I'm getting this error when trying to listen to a game. I've cleared out my suds cache and copied MediaService.xsd to ~/.mlb/.

/usr/bin/mlbviewer.py
/usr/lib/python2.6/site-packages/suds-0.3.6-py2.6.egg/suds/wsse.py:26: DeprecationWarning: the md5 module is deprecated; use hashlib instead
Traceback (most recent call last):
File "/usr/bin/mlbviewer.py", line 1250, in <module>
curses.wrapper(mainloop, mycfg.data)
File "/usr/lib/python2.6/curses/wrapper.py", line 44, in wrapper
return func(stdscr, *args, **kwds)
File "/usr/bin/mlbviewer.py", line 1018, in mainloop u = g.soapurl()
File "/usr/lib/python2.6/site-packages/MLBviewer/mlbtv.py", line 1155, in soapurl reply = client.service.find(**soapd)
File "build/bdist.linux-x86_64/egg/suds/client.py", line 240, in __call__
File "build/bdist.linux-x86_64/egg/suds/client.py", line 379, in call
File "build/bdist.linux-x86_64/egg/suds/client.py", line 240, in __call__
File "build/bdist.linux-x86_64/egg/suds/client.py", line 422, in call
File "build/bdist.linux-x86_64/egg/suds/client.py", line 480, in invoke
File "build/bdist.linux-x86_64/egg/suds/client.py", line 505, in send
File "build/bdist.linux-x86_64/egg/suds/client.py", line 537, in succeeded
File "build/bdist.linux-x86_64/egg/suds/bindings/binding.py", line 140, in get_reply
File "build/bdist.linux-x86_64/egg/suds/bindings/binding.py", line 197, in replycomposite
File "build/bdist.linux-x86_64/egg/suds/bindings/unmarshaller.py", line 302, in process
File "build/bdist.linux-x86_64/egg/suds/bindings/unmarshaller.py", line 87, in process
File "build/bdist.linux-x86_64/egg/suds/bindings/unmarshaller.py", line 103, in append
File "build/bdist.linux-x86_64/egg/suds/bindings/unmarshaller.py", line 180, in append_children
File "build/bdist.linux-x86_64/egg/suds/bindings/unmarshaller.py", line 103, in append
File "build/bdist.linux-x86_64/egg/suds/bindings/unmarshaller.py", line 180, in append_children
File "build/bdist.linux-x86_64/egg/suds/bindings/unmarshaller.py", line 101, in append
File "build/bdist.linux-x86_64/egg/suds/bindings/unmarshaller.py", line 323, in start
suds.TypeNotFound: Type not found: 'view-keys'

Make sure you have the latest MediaService.xsd either from the sourceforge release 0.1alpha11 or from the latest svn revision.

You can verify that you have copied the latest MediaService.xsd with the following command:

Code:
$ grep view-keys ~/.mlb/MediaService.xsd 
			<element minOccurs="0" name="view-keys" type="tns:ViewKeys"/>
If you don't have that element, you will get that error.
 
Old 05-25-2009, 12:12 AM   #1953
daftcat
mlbviewer Maintainer
 
Registered: Apr 2008
Posts: 1,878

Rep: Reputation: 83
Quote:
Originally Posted by jeremybub View Post
Just a shot: There are two MediaService files. Did you copy both of them?

I really have no idea what's going on (some error with suds) but I thought I might try to help.
It's a good thought (and thanks for trying to help.) MediaService.xsd is referenced by MediaService.wsdl but only the wsdl is referenced in the code. In other words, he wouldn't even get as far as a Type Error in the reply (couldn't even construct a request) if he didn't have the wsdl.

I suspect he believes he has copied over the latest xsd but it really isn't the latest that resides in ~/.mlb.
 
Old 05-25-2009, 07:11 AM   #1954
MattJW92
LQ Newbie
 
Registered: May 2009
Posts: 23

Rep: Reputation: 15
Ok guys, total Linux newbie here.

I've installed Ubuntu via Wubi specifically for mlbviewer, but cannot work out how to install it. I've been using the instructions at http://ubuntuforums.org/showthread.php?t=839582 but it doesn't seem to work, and I really want to access the 3000k streams. Can anyone talk me through (in basic language) what I need to do, from start to finish?

It would be very much appreciated, and I've heard you guys are all very helpful and friendly
 
Old 05-25-2009, 08:25 AM   #1955
mswift42
Member
 
Registered: Mar 2009
Posts: 39

Rep: Reputation: 16
Quote:
Originally Posted by MattJW92 View Post
Ok guys, total Linux newbie here.

I've installed Ubuntu via Wubi specifically for mlbviewer, but cannot work out how to install it. I've been using the instructions at http://ubuntuforums.org/showthread.php?t=839582 but it doesn't seem to work, and I really want to access the 3000k streams. Can anyone talk me through (in basic language) what I need to do, from start to finish?

It would be very much appreciated, and I've heard you guys are all very helpful and friendly
Could you tell us, what you have done so far, and where your problems are?
 
Old 05-25-2009, 08:29 AM   #1956
itshardertotell
Member
 
Registered: Aug 2008
Posts: 38

Rep: Reputation: 15
Quote:
Originally Posted by Theophile View Post
Just the opposite. Add the -fs flag to the mplayer command and it will not drop out of fullscreen mode.

this works so far. thanks a lot for everybody's help!!
 
Old 05-25-2009, 09:05 AM   #1957
MattJW92
LQ Newbie
 
Registered: May 2009
Posts: 23

Rep: Reputation: 15
Quote:
Originally Posted by mswift42 View Post
Could you tell us, what you have done so far, and where your problems are?
I have managed to follow all the instructions on the page I posted before (http://ubuntuforums.org/showthread.php?t=839582) but that does not allow me to watch any games, it says there is no content available. Also, it only allows me to set the video quality to 800kb. So I would like to be able to watch the games in 3000kb quality.
 
Old 05-25-2009, 09:27 AM   #1958
sruchris
LQ Newbie
 
Registered: Apr 2009
Posts: 17

Rep: Reputation: 0
I got it working last night. Updating MediaService.xsd in .mlb did it. Thanks to all who helped!
 
Old 05-25-2009, 11:17 AM   #1959
mswift42
Member
 
Registered: Mar 2009
Posts: 39

Rep: Reputation: 16
Quote:
Originally Posted by MattJW92 View Post
I have managed to follow all the instructions on the page I posted before (http://ubuntuforums.org/showthread.php?t=839582) but that does not allow me to watch any games, it says there is no content available. Also, it only allows me to set the video quality to 800kb. So I would like to be able to watch the games in 3000kb quality.
Did you download the autobahn.jar and are running it ?

You get the 3000kb quality by putting

max_bps=3000000

in your .mlb/config file.
 
Old 05-25-2009, 11:33 AM   #1960
MattJW92
LQ Newbie
 
Registered: May 2009
Posts: 23

Rep: Reputation: 15
I have now successfully followed the instructions and now have 'mlbviewer-0.1alpha9' running, but I can only access last seasons games.


Quote:
Originally Posted by mswift42 View Post
Did you download the autobahn.jar and are running it ?

You get the 3000kb quality by putting

max_bps=3000000

in your .mlb/config file.
I have downloaded it but am unsure how to run it.
 
Old 05-25-2009, 11:59 AM   #1961
mswift42
Member
 
Registered: Mar 2009
Posts: 39

Rep: Reputation: 16
Quote:
Originally Posted by MattJW92 View Post
I have now successfully followed the instructions and now have 'mlbviewer-0.1alpha9' running, but I can only access last seasons games.




I have downloaded it but am unsure how to run it.

open a terminal and type

java -jar autobahn.jar
 
Old 05-25-2009, 12:22 PM   #1962
marvinsc
LQ Newbie
 
Registered: Jul 2008
Posts: 3

Rep: Reputation: 0
I am not a premium user. So I cant figure out the reason why when I am trying to retrieve a game I get the message

An error occurred in locating the game stream:
Could not connect to NexDef. Is autobahn.jar running?

Why ?
 
Old 05-25-2009, 12:27 PM   #1963
MattJW92
LQ Newbie
 
Registered: May 2009
Posts: 23

Rep: Reputation: 15
Quote:
Originally Posted by mswift42 View Post
open a terminal and type

java -jar autobahn.jar
matt@ubuntu:~$ java -jar autobahn.jar
The program 'java' can be found in the following packages:
* gij-4.3
* java-gcj-compat-headless
* openjdk-6-jre-headless
* cacao
* gij-4.2
* jamvm
* kaffe
Try: sudo apt-get install <selected package>
bash: java: command not found
matt@ubuntu:~$

Seems to not like that
 
Old 05-25-2009, 12:39 PM   #1964
mswift42
Member
 
Registered: Mar 2009
Posts: 39

Rep: Reputation: 16
Quote:
Originally Posted by MattJW92 View Post
matt@ubuntu:~$ java -jar autobahn.jar
The program 'java' can be found in the following packages:
* gij-4.3
* java-gcj-compat-headless
* openjdk-6-jre-headless
* cacao
* gij-4.2
* jamvm
* kaffe
Try: sudo apt-get install <selected package>
bash: java: command not found
matt@ubuntu:~$

Seems to not like that
You have to install a JRE (java runtime environment) first.

you need to go to System >> Administration >> Software Sources and enable the multiverse and universe repositories.

Then

sudo apt-get update
and
sudo apt-get install sun-java6-jre
 
Old 05-25-2009, 01:22 PM   #1965
MattJW92
LQ Newbie
 
Registered: May 2009
Posts: 23

Rep: Reputation: 15
Quote:
Originally Posted by mswift42 View Post
You have to install a JRE (java runtime environment) first.

you need to go to System >> Administration >> Software Sources and enable the multiverse and universe repositories.

Then

sudo apt-get update
and
sudo apt-get install sun-java6-jre
OK, that seems to have worked thanks.

I have tried to open the newly update mlbviewer, but get this:

matt@ubuntu:~/Desktop/mlbviewer-svn/mlbviewer-svn$ python mlbviewer.py
The requirements for the 2009 season have changed.
Please read the REQUIREMENTS-2009.txt file.

I'm not sure what I'm doing wrong? Sorry for being a pain, really want to get this working though!
 
  


Reply

Tags
help, install, installation, instructions, seek, vlc, windows


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
mlb.com gameday audio stream statmobile Linux - Newbie 6 05-06-2008 11:16 PM
link dies intermittently-seemingly at random- between win<->linux not linux<->linux?? takahaya Linux - Networking 10 03-09-2007 11:37 PM
triple boot linux/linux/linux No Windows involved toastermaker Linux - Newbie 12 03-02-2006 11:40 PM
Redhat (rhel v2.1) bootup problem with linux (linux vs linux-up) namgor Linux - Software 2 06-24-2004 03:49 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora

All times are GMT -5. The time now is 01:39 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration